Products Related

Find all values of a feature starting with a prefix.

Find all values of a feature starting with a prefix.

get
https://api-qual.migros.ch/migros/products/v8/products/features/{name}

Query Parameters

prefixstring

Restrict the values to those starting with this prefix.

limitinteger

Only return the limit most frequent hits.

Default:10

langstring

Defines the language (de/fr/it/en) for this request as query parameter. Either use the query param “lang” or header “Accept-Language”, not both.

Allowed values:defriten

Default:de

Path Parameters

namestringrequired

The feature label_code to get values of

Headers

Accept-Languagestring

Defines the language (de/fr/it/en) for this request as request header. Either use the query param “lang” or header “Accept-Language”, not both.

Allowed values:defriten

Default:de

Response

200 application/json

Returned when successful

countinteger
valuestring
value_codestring
get/migros/products/v8/products/features/{name}
 
200 application/json

Returns whether a store lists a product.

You can limit the output to specific store ids.
Additionally, you can filter out products that are not listed in a store.

You can omit the store ids if you specify any product ids. However, that does not work together with paging.

get
https://api-qual.migros.ch/migros/products/v8/products/listed

Query Parameters

idsstring

A comma separated list or an array of product ids.

storesstring

A comma separated list or an array of store ids.

listedstring

Filters the result based on listed flags. This filter is applied even when the ids parameter is used.

Allowed values:not-current-discount-weekcurrent-discount-weeknext-discount-weekcurrent-or-next-discount-week

limitinteger

Maximum number of results. The maximum value is 150000

Default:150000

>= 0

offsetinteger

Result set offset.

Default:0

>= 0

Response

application/json

Returned when successful

Information about listed products.

cost_centersarray[object]
Show Child Parameters
idstringrequired

Listed information of the product per store.

get/migros/products/v8/products/listed
 
application/json

Returns the cooperative purchase price of products.

Returns the cooperative purchase price of products.

get
https://api-qual.migros.ch/migros/products/v8/products/purchase-price

Query Parameters

idsstring

A comma separated list of product ids.

glnsstring

A comma separated list of Global-Location-Numbers (GLNs) from SAP (also referred as ‘sndlad’).

limitinteger

Maximum number of results (max 2000).

Default:10

>= 0<= 2000

offsetinteger

Result set offset.

Default:0

>= 0

langstring

Defines the language (de/fr/it/en) for this request as query parameter. Either use the query param “lang” or header “Accept-Language”, not both.

Allowed values:defriten

Default:de

Headers

Accept-Languagestring

Defines the language (de/fr/it/en) for this request as request header. Either use the query param “lang” or header “Accept-Language”, not both.

Allowed values:defriten

Default:de

Response

application/json

Returned when successful

PurchasePriceCollection

A generic collection of elements.

itemsarray[object]required
Show Child Parameters
get/migros/products/v8/products/purchase-price
 
application/json

Returns the delivery time of a single product.

A delivery time of -1 means that the product is not orderable and doesn’t have a delivery date.

get
https://api-qual.migros.ch/migros/products/v8/products/{id}/delivery-time

Query Parameters

langstring

Defines the language (de/fr/it/en) for this request as query parameter. Either use the query param “lang” or header “Accept-Language”, not both.

Allowed values:defriten

Default:de

Path Parameters

idstringrequired

Headers

Accept-Languagestring

Defines the language (de/fr/it/en) for this request as request header. Either use the query param “lang” or header “Accept-Language”, not both.

Allowed values:defriten

Default:de

Response

application/json

Returned when successful

DeliveryTime

Delivery time in days.

daysintegerrequired

Days until delivery. -1 means that there’s no known delivery date.

get/migros/products/v8/products/{id}/delivery-time
 
application/json

Returns the responsible person of a product.

The matching is done using the name of the BoSS range responsible
and looking it up in LDAP. This lookup could potentially lead to zero
or more than one result. In the case of more than one result, the information
about the person may be incorrect. Be careful with the data output by this endpoint!

get
https://api-qual.migros.ch/migros/products/v8/products/{id}/responsible-person

Query Parameters

langstring

Defines the language (de/fr/it/en) for this request as query parameter. Either use the query param “lang” or header “Accept-Language”, not both.

Allowed values:defriten

Default:de

Path Parameters

idstringrequired

Product ID

Headers

Accept-Languagestring

Defines the language (de/fr/it/en) for this request as request header. Either use the query param “lang” or header “Accept-Language”, not both.

Allowed values:defriten

Default:de

Response

Returned when successful

get/migros/products/v8/products/{id}/responsible-person